> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Dataset Properties

> Updates the properties of a dataset, such as the data provider type



## OpenAPI

````yaml /openapi/product/data-sets.yaml put /api/data/v3/datasources/{datasetId}/properties
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v3/datasources/{datasetId}/properties:
    put:
      tags:
        - Datasets API
      summary: Change Dataset Properties
      description: Updates the properties of a dataset, such as the data provider type
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropertiesUpdateRequest'
            example:
              dataProviderType: domo-jupyterdata
      responses:
        '200':
          description: Properties updated
      x-codeSamples:
        - lang: HTTP
          source: |
            PUT /api/data/v3/datasources/{datasetId}/properties HTTP/1.1
            Host: {instance}.domo.com
            X-DOMO-Developer-Token: {token}
            Content-Type: application/json

            {
              "dataProviderType": "domo-jupyterdata"
            }
components:
  schemas:
    PropertiesUpdateRequest:
      type: object
      properties:
        dataProviderType:
          type: string
          example: domo-jupyterdata
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````